﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WinGrid_CS91_CLR2_CellSpanUsingCreationFilter
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        
        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraGrid1.DataSource = this.getDataTable();
            this.ultraGrid1.CreationFilter = new ColSpan();
        }

        #region GridEvent
        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            ultraGrid1.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            if (e.ReInitialize == false)
            {
                if (e.Row.Cells[0].Text == "ColSpan2 - Test Message - Sample Test Application")
                {
                    e.Row.Cells[0].Appearance.BackColor = Color.PowderBlue;
                }
            }
        }
        private void ultraGrid1_AfterCellActivate(object sender, EventArgs e)
        {
            if ((this.ultraGrid1.ActiveCell.GetUIElement().Rect.Width == 0) && (this.ultraGrid1.ActiveCell.GetUIElement().Rect.Height == 0))
            {
                this.ultraGrid1.PerformAction(Infragistics.Win.UltraWinGrid.UltraGridAction.NextCell);
                this.ultraGrid1.PerformAction(Infragistics.Win.UltraWinGrid.UltraGridAction.EnterEditMode);
            }
        }
        #endregion

        #region Data
        private DataTable getDataTable()
        {
            DataSet objDs = new DataSet();
            DataTable objTable = new DataTable();
            DataRow objRow;

            objTable.Columns.Add("Col_1", typeof(string));
            objTable.Columns.Add("Col_2", typeof(string));
            objTable.Columns.Add("Col_3", typeof(int));
            objTable.Columns.Add("Col_4", typeof(string));

            for (int i = 0; i < 10; i++)
            {
                objRow = objTable.NewRow();

                objRow[0] = "ColSpan2 - Test Message - Sample Test Application";
                objRow[1] = "Hello: " + i.ToString();
                objRow[2] = i;
                objRow[3] = "Hola: " + i.ToString();

                objTable.Rows.Add(objRow);

                objRow = objTable.NewRow();

                objRow[0] = "ColSpan1";
                objRow[1] = "Hello: " + i.ToString();
                objRow[2] = i;
                objRow[3] = "Hola: " + i.ToString();

                objTable.Rows.Add(objRow);

            }
            return objTable;
        }

        #endregion


    }
}
